package areacode.ws;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

import areacodes.AreaCode;

@WebService
@SOAPBinding(style = SOAPBinding.Style.DOCUMENT)
public interface AreaCodeSOAPService
{
	@WebMethod
	public String[] findAreaCodesByState(String state);

	@WebMethod
	public AreaCode findByCode(int code);

	@WebMethod
	public AreaCode[] findByOffset(double offset);

	@WebMethod
	public boolean validate(AreaCode input);
	
	@WebMethod
	public AreaCode[] findInSameState(AreaCode input);
}
