package areacode.ws;

import javax.jws.WebService;

import areacodes.AreaCode;
import areacodes.AreaCodeImpl;
import areacodes.AreaCodeService;

@WebService(endpointInterface="areacode.ws.AreaCodeSOAPService")
public class AreaCodeServiceSOAPImpl implements AreaCodeSOAPService
{

	@Override
	public String[] findAreaCodesByState(String state)
	{
		AreaCodeService ac = new AreaCodeImpl();
		return ac.findAreaCodesByState(state);
	}

	@Override
	public AreaCode findByCode(int code)
	{
		AreaCodeService ac = new AreaCodeImpl();
		AreaCode results = ac.findByCode(code);
		return results;
	}

	@Override
	public AreaCode[] findByOffset(double offset)
	{
		AreaCodeService ac = new AreaCodeImpl();
		return ac.findByOffset(offset);
	}

	@Override
	public boolean validate(AreaCode input)
	{
		AreaCodeService ac = new AreaCodeImpl();
		return ac.validate(input);
	}

	@Override
	public AreaCode[] findInSameState(AreaCode input)
	{
		AreaCodeService ac = new AreaCodeImpl();
		return ac.findInSameState(input);
	}

}
