package areacodes;

public interface AreaCodeService
{
    public String getState(int areaCode);

    public String getDescription(int areaCode) throws AreaCodeException;

    public String getOffset(int areaCode);
    
    public AreaCode getAreaCode(int areaCode);
    
    public String[] findAreaCodesByState(String state);
    
    public AreaCode findByCode(int code);
    
    public AreaCode[] findByOffset(double offset);
    
    public boolean validate(AreaCode input);
    
    public AreaCode[] findInSameState(AreaCode input);
    
}
